summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1999-12-04 17:30:16 +0000
committerJim Meyering <jim@meyering.net>1999-12-04 17:30:16 +0000
commit91b5e686d54b22eb5d0bc651745393ce89a1dccf (patch)
tree39b430b6e45d00890b56425922c76a4aea79c552 /tests
parent8c096b86ef41bbb35be91beb15f669833cbc1abb (diff)
downloadcoreutils-91b5e686d54b22eb5d0bc651745393ce89a1dccf.tar.xz
Adapt to reflect this change in behavior.
Make sure the VERSION_CONTROL envvar is not set. Run diff if comparison fails.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/mv/into-self-221
1 files changed, 16 insertions, 5 deletions
diff --git a/tests/mv/into-self-2 b/tests/mv/into-self-2
index 84b02576b..9e51787e8 100755
--- a/tests/mv/into-self-2
+++ b/tests/mv/into-self-2
@@ -17,6 +17,11 @@ fi
file="$other_partition_tmpdir/file"
symlink=symlink
+fail=0
+
+trap 'rm -fr out out2 exp $file $symlink $other_partition_tmpdir; exit $fail' \
+ 0 1 2 3 15
+
framework_failure=0
rm -f $file $symlink || framework_failure=1
echo whatever > $file || framework_failure=1
@@ -35,11 +40,19 @@ export LC_ALL
LANG=C
export LANG
+unset VERSION_CONTROL
+
+if test "${VERSION_CONTROL+set}" = set; then
+ echo '$0: the VERSION_CONTROL envvar is set --' \
+ ' unset it and rerun this test' >&2
+ exit 1
+fi
+
# This mv command should exit nonzero.
mv $symlink $file > out 2>&1 && fail=1
-# And so should this one.
-mv $file $symlink >> out 2>&1 && fail=1
+# This should succeed.
+mv $file $symlink || fail=1
sed \
-e "s,mv:,XXX:," \
@@ -49,12 +62,10 @@ sed \
cat > exp <<\EOF
XXX: `ZZZ' and `YYY' are the same file
-XXX: `YYY' and `ZZZ' are the same file
EOF
#'
cmp out2 exp || fail=1
-
-rm -fr out out2 exp $file $symlink $other_partition_tmpdir
+test $fail = 1 && diff out2 exp 2> /dev/null
exit $fail